Package owl.automaton.acceptance

## Class OmegaAcceptance

- java.lang.Object
- - owl.automaton.acceptance.OmegaAcceptance

- Direct Known Subclasses:
    `AllAcceptance`, `CoBuchiAcceptance`, `EmersonLeiAcceptance`, `GeneralizedBuchiAcceptance`, `GeneralizedRabinAcceptance`, `NoneAcceptance`, `ParityAcceptance`

      public abstract class OmegaAcceptance
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OmegaAcceptance()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract int` | `acceptanceSets()` |
    `abstract BitSet` | `acceptingSet()` |
    `abstract jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance>` | `booleanExpression()` | Builds the canonical representation as `BooleanExpression`.
    `<S> boolean` | `isWellFormedAutomaton​(Automaton<S,?> automaton)` |
    `abstract boolean` | `isWellFormedEdge​(Edge<?> edge)` | This method determines if the given edge is a well defined edge for this acceptance condition.
    `abstract String` | `name()` |
    `List<Object>` | `nameExtra()` |
    `abstract BitSet` | `rejectingSet()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmegaAcceptance

          public OmegaAcceptance()

  - ### Method Detail

    - #### acceptanceSets

          public abstract int acceptanceSets()

    - #### booleanExpression

          public abstract jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance> booleanExpression()

      Builds the canonical representation as `BooleanExpression`.

    - #### name

          @Nullable
          public abstract String name()

    - #### nameExtra

          public List<Object> nameExtra()

    - #### acceptingSet

          public abstract BitSet acceptingSet()

    - #### rejectingSet

          public abstract BitSet rejectingSet()

    - #### isWellFormedEdge

          public abstract boolean isWellFormedEdge​(Edge<?> edge)

      This method determines if the given edge is a well defined edge for this acceptance condition. E.g. a parity condition might check that the edge has at most one acceptance index and the index is less than the colour count.
      Parameters:
        `edge` - The edge to be checked.
      Returns:
        Whether the edge acceptance is well defined.

    - #### isWellFormedAutomaton

          public <S> boolean isWellFormedAutomaton​(Automaton<S,?> automaton)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`